Bug 198546 - Include additional sblim components for CIM/WBEM system management
Include additional sblim components for CIM/WBEM system management
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sblim (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Ken Reilly
http://sourceforge.net/projects/sblim
RHEL4U4?
: FutureFeature
Depends On: 195613
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 15:00 EDT by Jason Vas Dias
Modified: 2009-05-20 09:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 09:49:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2006-07-11 15:00:23 EDT
+++ This bug was initially created as a clone of Bug #195613 +++

IBM is requesting us to include additional sblim providers vs. what we ship in
RHEL4. The list they are requesting in BZ #184817 is:

http://prdownloads.sourceforge.net/s/sb/sblim/sblim-cmpi-devel-1.0.4.tar.bz2
http://prdownloads.sourceforge.net/sblim/sblim-cmpi-base-1.5.4.tar.bz2
http://prdownloads.sourceforge.net/sblim/sblim-cmpi-fsvol-1.4.3.tar.bz2
http://prdownloads.sourceforge.net/sblim/sblim-cmpi-network-1.3.7.tar.bz2
http://prdownloads.sourceforge.net/sblim/sblim-cmpi-nfsv3-1.0.13.tar.bz2
http://prdownloads.sourceforge.net/sblim/sblim-cmpi-nfsv4-1.0.11.tar.bz2
http://prdownloads.sourceforge.net/sblim/sblim-cmpi-params-1.2.4.tar.bz2
http://prdownloads.sourceforge.net/sblim/sblim-cmpi-sysfs-1.1.8.tar.bz2
http://prdownloads.sourceforge.net/sblim/sblim-cmpi-syslog-0.7.9.tar.bz2
http://prdownloads.sourceforge.net/sblim/sblim-gather-2.1.1.tar.bz2
http://prdownloads.sourceforge.net/sblim/sblim-testsuite-1.2.4.tar.bz2
http://prdownloads.sourceforge.net/sblim/sblim-wbemcli-1.5.1.tar.bz2

These are the providers that the CIMOM (Pegasus) uses to actualy perform
activities on the managed system as well as some command line interfeces.

-- Additional comment from jvdias@redhat.com on 2006-06-16 16:36 EST --
OK, I've now added the requested sblim modules with sblim-2.1, now building in
dist-4E-qu-candidate - I have not completed testing yet, but will do so on my
return from vacation July 3rd. Meanwhile, the SRPM is at: 
  http://people.redhat.com/~jvdias/sblim/sblim-2-1.EL4.src.rpm



-- Additional comment from riek@redhat.com on 2006-06-27 18:23 EST --
Jason, please also build them for RHEL5.
Comment 1 Jason Vas Dias 2006-07-11 15:06:10 EDT
The new sblim-cmpi-network, sblim-cmpi-params, sblim-cmpi-sysfs, sblim-cmpi-fsvol,
sblim-cmpi-syslog, sblim-cmpi-nfsv3 and sblim-cmpi-nfsv4 modules are now built
into dist/4E-qu-candidate with sblim-1-8.EL4 / sblim-1-10.EL4 .
I have today verfied that all their test scripts pass on all platforms. 
These new additional modules have no effect on the existing sblim modules, and
add alot of value to the sblim services, so I think we should consider shipping
them in RHEL-4-U4 - requesting an exception.
 
Comment 4 Red Hat Bugzilla 2007-10-23 11:22:53 EDT
User pgraner@redhat.com's account has been closed
Comment 5 Matt Domsch 2008-10-24 01:16:23 EDT
Dell is interested in these to, for RHEL6, and possibly earlier.

Other related requests for sblim-* include:

462697 [DELL 6.0 FEAT] Include OpenWSMan and SFCB
463844 [LTC 6.0 FEAT] 201301:Add sblim-sfcb
458024 Review Request: sblim-sfcc - Small Footprint CIM Client L...
458025 Review Request: wsmancli - Opensource Implementation of W...
466183 Package Review 	Review Request: sblim-sfcb - Small Footprint CIM Broker
468287 Package Review 	Review Request: cim-schema - Common Information Model 198546 Include additional sblim components for CIM/WBEM system m...
463329 [LTC 6.0 FEAT] 201660:Update SBLIM data gatherer to 2.1.6...
463839 [LTC 6.0 FEAT] 201450:SBLIM JSR48 CIM Client (a.k.a. SBLI...
463841 [LTC 6.0 FEAT] 201208:WBEM-SMT instrumentation of DHCP
463847 [LTC 6.0 FEAT] 201641:Update SBLIM Java CIM Client to 1.3...


Thanks,
Matt
Comment 6 RHEL Product and Program Management 2009-01-06 11:07:42 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 7 Marizol Martinez 2009-05-20 09:49:09 EDT
As discussed during our weekly call, closing this request per previous comment.

Note You need to log in before you can comment on or make changes to this bug.